CREATE TABLE cso_file_app_metadata (
    DATE_ADDED                   TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED                TIMESTAMP(6)      NOT NULL,
    RECORD_ID                    VARCHAR2(128) ,
    REPOSITORY_REF_KEY           VARCHAR2(400)     NOT NULL,
    VIRTUAL_DIR_NAME             VARCHAR2(400)     NOT NULL,
    RELATIVE_PATH                VARCHAR2(4000)    NOT NULL,
    NAME                         VARCHAR2(1020)    NOT NULL,
    DATE_DELETED                 TIMESTAMP(6)  ,
    MISSING                      NUMBER            NOT NULL,
    FILE_METADATA_ID             VARCHAR2(128) ,
    IS_SECURED                   NUMBER            NOT NULL,
    CONTENT_ID                   VARCHAR2(128) ,
    CONTENT_TEXT_ID              VARCHAR2(128) ,
    LOCALE_CODE                  VARCHAR2(256) ,
    ASSET_TYPE                   NUMBER            NOT NULL,
    IS_DIRECTORY                 NUMBER            NOT NULL,
    DIRECTORY_APP_METADATA_ID    VARCHAR2(128) ,
    DATE_ADDED                   TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED                TIMESTAMP(6)      NOT NULL,
    RECORD_ID                    VARCHAR2(128) ,
    REPOSITORY_REF_KEY           VARCHAR2(400)     NOT NULL,
    VIRTUAL_DIR_NAME             VARCHAR2(400)     NOT NULL,
    RELATIVE_PATH                VARCHAR2(4000)    NOT NULL,
    NAME                         VARCHAR2(1020)    NOT NULL,
    DATE_DELETED                 TIMESTAMP(6)  ,
    MISSING                      NUMBER            NOT NULL,
    FILE_METADATA_ID             VARCHAR2(128) ,
    IS_SECURED                   NUMBER            NOT NULL,
    CONTENT_ID                   VARCHAR2(128) ,
    CONTENT_TEXT_ID              VARCHAR2(128) ,
    LOCALE_CODE                  VARCHAR2(256) ,
    ASSET_TYPE                   NUMBER            NOT NULL,
    IS_DIRECTORY                 NUMBER            NOT NULL,
    DIRECTORY_APP_METADATA_ID    VARCHAR2(128) ,
    CONSTRAINT pk_cso_file_app_metadata PRIMARY KEY (RECORD_ID, RECORD_ID)
);
